# Local payment

{% openapi src="/files/ydTM4JHeg7zAhL5OE8rb" path="/V2022-03/local\_payment" method="post" %}
[V2022-03\_book.json](https://1129616527-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FMb9UzyxGUyxHylm4UJSJ%2Fuploads%2F5m1m28YFUZcPM6SI26XK%2FV2022-03_book.json?alt=media\&token=dfe34385-bd12-41a7-b8c2-42f3f3a8323d)
{% endopenapi %}

### 本地支付直连支付请求报文示例

```
curl --request POST \
  --url https://{paymentApiUrl}/V2022-03/local_payment \
  --header 'Content-Type: application/json' \
  --header 'request-id: 58675' \
  --header 'request-time: 1651888520935' \
  --header 'gateway-no: 12345001' \
  --header 'sign-info: 787966BF2479A1BE8E1886CD18E6919447FAF4F357E7056188D4F035661B822B' \
  --data '{
    "billingAddress": {
        "address": "4348  Calico Drive",
        "city": "NEWARK VALLEY",
        "country": "US",
        "email": "indubio@gmail.com",
        "firstName": "Di Mo",
        "lastName": "Shi",
        "phone": "509-675-8948"
        "state": "NY",
        "zip": "13811"
    },
    "callbackUrl": "https://CallResult",
    "deliveryAddress": {
        "shipAddress": "4348  Calico Drive",
        "shipCity": "NEWARK VALLEY",
        "shipCountry": "US",
        "shipFirstName": "Di Mo",
        "shipLastName": "Shi",
        "shipPhone": "509-675-8948",
        "shipState": "NY",
        "shipZip": "13811"
    },
    "goodsDetails": [
        {
            "goodsCount": "1000",
            "goodsPrice": "139",
            "goodsTitle": "Ipad min"
        }
    ],
    "isMobile": "0",
    "orderAmount": "336.73",
    "orderCurrency": "USD",
    "orderNo": "NEW_API2520767716960",
    "paymentMethod": "Klarna",
    "platform": "",
    "remark": "TEST",
    "returnUrl": "https://returnUrl"
}'
```

#### 结果对象属性描述

| property name | type   | description                                                       |
| ------------- | ------ | ----------------------------------------------------------------- |
| code          | String | 返回码                                                               |
| message       | String | 返回信息                                                              |
| data          | Object | 数据对象                                                              |
| redirectUrl   | String | 本地支付商户跳转客户的支付页面地址                                                 |
| orderNo       | String | 商户订单号                                                             |
| tradeNo       | String | 预下单流水号                                                            |
| orderAmount   | String | 商户订单金额                                                            |
| orderCurrency | String | 商户订单币种                                                            |
| orderStatus   | String | <p>【交易状态】 </p><p>待处理：pending </p><p>成功：success </p><p>失败：fail</p> |
| orderInfo     | String | 银行返回信息                                                            |
| remark        | String | 备注                                                                |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://asiabill.gitbook.io/api-explorer/api-reference/jiao-yi/local-payment.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
